gnutls_x509_rdn_get_by_oid(3)

NAME
gnutls_x509_rdn_get_by_oid - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_rdn_get_by_oid(const gnutls_datum_t * idn, const char * oid, int indx, unsigned int raw_flag, void * buf, size_t * sizeof_buf);

ARGUMENTS

const gnutls_datum_t * idn
    should contain a DER encoded RDN sequence

const char * oid
    an Object Identifier

int indx
    In case multiple same OIDs exist in the RDN indicates which to send. Use 0 for the first one.

unsigned int raw_flag
    If non zero then the raw DER data are returned.

void * buf
    a pointer to a structure to hold the peer's name

size_t * sizeof_buf
    holds the size of buf

DESCRIPTION
This function will return the name of the given Object identifier, of the RDN sequence. The name will be encoded using the rules from RFC2253.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, or GNUTLS_E_SHORT_MEMORY_BUFFER is returned and *sizeof_buf is updated if the provided buffer is not long enough, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.